#include <iostream>
#include <string>
#include <vector>
#include <cmath>
#include <fstream>
#include <sstream>
#include "Person.h"
#include <queue>


using namespace std;

template <typename T>
T convert(string& s)
{
	T t;
	stringstream conv(s);
	conv >> t;
	return t;
}

void load( ifstream &in, priority_queue<Person, vector<Person>, pcomp>)
{
	string line, temp, gender, weight, height;
	getline(in, line);
	while (getline(in, line))
	{
		stringstream ss(line);
		getline(ss, temp, ','); //citanje do prvog zareza, ID
		getline(ss, gender, ',');  //citanje gendera
		getline(ss, temp, ','); //citanje tezine
		weight = convert <int>(temp); //weight je napisan u stringu, ovako se radi parseri

		getline(ss, temp, ','); //citanje visine
		height = convert <int>(temp);

		pq.emplace(gender, weight, height);
	}
}

int main() {

	ifstream in("itm.csv");
	if (!in)
	{
		cout << "404" << endl;
		return 1;
	}

	priority_queue<Person, vector<Person>, pcomp> pq;
	load(in, pq);

	while (!pq.empty())
	{
		cout << pq.top().To_String() << endl;
		pq.pop();
	}


	in.close();





	return 0;
}